<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	android:layout_width="match_parent"
	android:layout_height="wrap_content"
	android:paddingBottom="16dp">

	<com.google.android.material.bottomsheet.BottomSheetDragHandleView
		android:id="@+id/drag_handle"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		app:layout_constraintTop_toTopOf="parent" />


	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/stop_name"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:layout_marginTop="48dp"
		android:layout_marginEnd="8dp"
		android:textAlignment="center"
		android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/change_options"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_margin="16dp"
		android:textAppearance="@style/TextAppearance.Material3.BodyMedium"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/stop_name" />

	<Button
		android:id="@+id/departures_button"
		style="@style/Widget.Material3.Button.TextButton.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_margin="4dp"
		android:text="@string/show_departures"
		app:icon="@drawable/departure"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/change_options" />

	<Button
		android:id="@+id/navigation_button"
		style="@style/Widget.Material3.Button.TextButton.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_margin="4dp"
		android:text="@string/open_in_maps_app"
		app:icon="@drawable/open_outside"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/departures_button" />

	<androidx.constraintlayout.helper.widget.Flow
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:layout_marginTop="8dp"
		app:constraint_referenced_ids="use_as_origin,use_as_destination"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/navigation_button" />

	<Button
		android:id="@+id/use_as_origin"
		style="@style/Widget.Material3.Button.TextButton.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:text="@string/use_as_origin"
		app:icon="@drawable/origin" />

	<Button
		android:id="@+id/use_as_destination"
		style="@style/Widget.Material3.Button.TextButton.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:text="@string/use_as_destination"
		app:icon="@drawable/destination" />

</androidx.constraintlayout.widget.ConstraintLayout>
